blob: cb7c24369cd79317a0260f6b0fcb643fed6c22e5 (
plain)
1
2
3
4
5
6
7
8
9
10
11
12
13
14
15
16
17
18
19
20
21
22
23
24
25
26
27
28
29
30
31
32
33
34
35
36
37
38
39
40
41
42
43
44
45
46
47
48
49
50
51
52
53
54
55
56
57
58
59
60
61
|
#
# Patch managed by http://www.mn-logistik.de/unsupported/pxa250/patcher
#
--- tmdns/init.d/initscript~busybox-init.d
+++ tmdns/init.d/initscript
@@ -2,34 +2,31 @@
#
PATH=/usr/local/sbin:/usr/local/bin:/sbin:/bin:/usr/sbin:/usr/bin
-DAEMON=/usr/local/sbin/tmdns
+DAEMON=`which tmdns 2>/dev/null`
NAME=tmdns
DESC="tmdns multicast DNS responder version 0.1"
-test -f $DAEMON || exit 0
+test -n "$DAEMON" || exit 0
set -e
case "$1" in
start)
echo -n "Starting $DESC: "
- start-stop-daemon --start --quiet --pidfile /var/run/tmdns.pid \
- --exec $DAEMON
+ start-stop-daemon -S -x $DAEMON
echo "$NAME."
;;
stop)
echo -n "Stopping $DESC: "
- start-stop-daemon --stop --quiet --pidfile /var/run/tmdns.pid \
- --exec $DAEMON
+ start-stop-daemon -X -x $DAEMON
rm -f /var/run/tmdns.pid
echo "$NAME."
;;
reload)
echo "Reloading $DESC configuration files."
- start-stop-daemon --stop --signal 1 --quiet --pidfile \
- /var/run/tmdns.pid --exec $DAEMON
+ start-stop-daemon -X -s 1 -x $DAEMON
;;
restart|force-reload)
@@ -39,11 +36,9 @@
# just the same as "restart".
#
echo -n "Restarting $DESC: "
- start-stop-daemon --stop --quiet --pidfile \
- /var/run/$NAME.pid --exec $DAEMON
+ start-stop-daemon -X -x $DAEMON
sleep 1
- start-stop-daemon --start --quiet --pidfile \
- /var/run/$NAME.pid --exec $DAEMON
+ start-stop-daemon -S -x $DAEMON
echo "$NAME."
;;
|